#!/bin/sh

# junk.sh
# V0.1
# freeware
# This script is a replacement for the rm command, and it 
# acts like a Trashcan for shell users.
# Hopefully it will be helpful to those trying to learn shell programming for BeOS
#
# shayne@curvedspace.org

# It accepts two options:
# l - list the contents of the junk directory
# p - purges the junk directory

# set option defaults
list="N"
purge="N"
options="Y"

# if there are no args, show the usage
# otherwise, get the options (or lack thereof)
if [ $# = 0 ]; then
	echo 'junk v0.1 by shayne white'
	echo 'shayne@curvedspace.org'
	echo ' '
	echo 'Usage: junk -lp {fileName}*'
	echo ' '
	exit 0
else
	case "$1" in
		"-lp" )	list="Y"; purge="Y";;
		"-l" ) 	list="Y";;
		"-p" ) 	purge="Y";;
		* ) 	options="N";;
	esac
fi

#echo 'List ' $list
#echo 'Purge ' $purge
#echo 'Options ' $options

# create junk directory if it is not there
if [ -d "$HOME/.junk" ]; then
	echo ' '
else
	mkdir $HOME/.junk
	echo ' '
	echo 'junk directory created...'
fi

# perform the junking of files
if [ "$options" = "N" ]; then
	while [ $# != 0 ]; do
		mv $1 $HOME/.junk
		shift
	done
else
	while [ $# != 1 ]; do
		mv $2 $HOME/.junk
		shift
	done
fi
	

# list if necessary
if [ $list  = "Y" ]; then
	echo "The junk directory contains..."
	ls -al $HOME/.junk
	echo ' '
fi

# purge if necessary
if [ $purge = "Y" ]; then
	rm -f $HOME/.junk/*
	echo "junk purged..."
	echo ' '
fi

exit 0

